Bug 106519 - mysql server rpm packages are missing
mysql server rpm packages are missing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: MySQL-python (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-07 18:21 EDT by soyoung park
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 13:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description soyoung park 2003-10-07 18:21:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.1) Gecko/20020827

Description of problem:
can't start mysql server, using /etc/init.d/mysqld nor /usr/bin/safe_mysqld nor
/usr/bin/mysql* scripts.  also can't choose to have mysql server automatically
start at startup w/ 'setup'.

was fine until prior to RHEL 3 RC (was fine 'til RHEL 3 beta), and when do 'rpm
-qa | grep mysql' mysql-server and few other packages are missing as can see below:

rhel 2.1 list:
> mysql-devel-3.23.56-1.9
> php-mysql-4.3.2-7.ent
> mysql-3.23.56-1.9
> libdbi-dbd-mysql-0.6.5-5
> mod_auth_mysql-20030510-1.ent
> mysql-server-3.23.56-1.9
> 
> rhel 3 rc list:
> mysql-3.23.58-1
> libdbi-dbd-mysql-0.6.5-5
> mysql-devel-3.23.58-1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install an RHEL ES 3 RC on a clean machine using CD.(was on Sun's LX50)
2.type 'mysql' at the prompt to see if the local mysql server already is
running.  it didn't.
3. start looking up /etc/init.d(or /etc/rc.d/init.d) or /usr/bin or to locate
the mysql server startup scripts.  they were missing.
4. do 'rpm -qa | grep mysql' and compare the list w/ RHEL ES 3 beta (& earlier)
system.
    

Actual Results:  mysql didn't start, and scripts were missing at /etc/init.d and
at /usr/bin.
when doing 'rpm -qa | grep mysql' mysql-server, php-mysql, mod_auth_mysql
packages were missing

Expected Results:  mysql wouldn't start.  go to /etc/init.d and /usr/bin to
locate the server invocating scripts to run and get the mysql started.

Additional info:
Comment 1 Patrick Macdonald 2003-10-09 13:22:03 EDT
Actually, this is working as designed.  The server packages for MySQL and
PostgreSQL will no longer be in the base.  RHEL 3 RC only contains the client
side of the database packages. 

Note You need to log in before you can comment on or make changes to this bug.